org.apache.http.client.protocol

## Class RequestClientConnControl

- java.lang.Object
- - org.apache.http.client.protocol.RequestClientConnControl

All Implemented Interfaces:
  org.apache.http.HttpRequestInterceptor

    @Contract(threading=IMMUTABLE)
    public class RequestClientConnControl
    extends Object
    implements org.apache.http.HttpRequestInterceptor

This protocol interceptor is responsible for adding `Connection` or `Proxy-Connection` headers to the outgoing requests, which is essential for managing persistence of `HTTP/1.0` connections.

Since:
  4.0

### Constructor Summary

Constructors
Constructor and Description
`RequestClientConnControl()`

### Method Summary

Methods
`void` `process(org.apache.http.HttpRequest request, org.apache.http.protocol.HttpContext context)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### RequestClientConnControl

    public RequestClientConnControl()

### Method Detail

#### process

    public void process(org.apache.http.HttpRequest request,
               org.apache.http.protocol.HttpContext context)
                 throws org.apache.http.HttpException,
                        IOException

Specified by:
  `process` in interface `org.apache.http.HttpRequestInterceptor`
Throws:
  `org.apache.http.HttpException`
  `IOException`